Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal
Class SimpleInspector

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      sim.portrayal.Inspector
                          sim.portrayal.SimpleInspector

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class SimpleInspector

extends Inspector

A simple inspector class that looks at the "getX" and "setX" method of the object to be investigates and creates a user-friendly graphical interface with read only and read/write components of the object.

SimpleInspector automatically creates an UpdateButton and adds it to itself at position BorderLayout.NORTH whenever you set it to be non-volatile, and when you set it to be volatile, it removes the UpdateButton.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`int` | `count` The number of items presently in the propertyList
`javax.swing.JPanel` | `header`
`static int` | `MAX_PROPERTIES`
`PropertyField[]` | `members` Each of the property fields in the property list, not all of which may exist at any time.
`java.lang.String` | `name` The displayed name of the inspector
`javax.swing.JLabel` | `numElements`
`java.lang.Object` | `object` The object being inspected
`Properties` | `properties` The generated object properties -- this may change at any time
`LabelledList` | `propertyList` The property list displayed -- this may change at any time
`int` | `start` The current index of the topmost element
`javax.swing.Box` | `startField`
`GUIState` | `state` The GUIState of the simulation

Fields inherited from class sim.portrayal.Inspector
`INSPECT_ICON, INSPECT_ICON_P, UPDATE_ICON, UPDATE_ICON_P`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SimpleInspector(java.lang.Object object, GUIState state)`
`SimpleInspector(java.lang.Object object, GUIState state, java.lang.String name)`
`SimpleInspector(Properties properties, GUIState state, java.lang.String name)`

Method Summary
`java.lang.String` | `getTitle()` Called by the system to come up with an appropriate title for a free-floating inspector window.
`void` | `setVolatile(boolean val)` Set to true (default) if the inspector should be updated every time step.
`void` | `updateInspector()` Called by the system to inform the Inspector that it needs to update itself to reflect any changed in the underlying data.

Methods inherited from class sim.portrayal.Inspector
`createFrame, getUpdateSteppable, isVolatile, makeUpdateButton, reviseStopper, updateButtonPressed`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_PROPERTIES

    public static final int MAX_PROPERTIES

See Also:
  Constant Field Values

### state

    public GUIState state

  The GUIState of the simulation

### object

    public java.lang.Object object

  The object being inspected

### propertyList

    public LabelledList propertyList

  The property list displayed -- this may change at any time

### properties

    public Properties properties

  The generated object properties -- this may change at any time

### members

    public PropertyField[] members

  Each of the property fields in the property list, not all of which may exist at any time.

### name

    public java.lang.String name

  The displayed name of the inspector

### start

    public int start

  The current index of the topmost element

### count

    public int count

  The number of items presently in the propertyList

### header

    public javax.swing.JPanel header

### numElements

    public javax.swing.JLabel numElements

### startField

    public javax.swing.Box startField

Constructor Detail

### SimpleInspector

    public SimpleInspector(Properties properties,
                           GUIState state,
                           java.lang.String name)

### SimpleInspector

    public SimpleInspector(java.lang.Object object,
                           GUIState state)

### SimpleInspector

    public SimpleInspector(java.lang.Object object,
                           GUIState state,
                           java.lang.String name)

Method Detail

### setVolatile

    public void setVolatile(boolean val)

  Description copied from class: `Inspector`
  Set to true (default) if the inspector should be updated every time step. Else set to false.

  Overrides:
    `setVolatile` in class `Inspector`

### updateInspector

    public void updateInspector()

  Description copied from class: `Inspector`
  Called by the system to inform the Inspector that it needs to update itself to reflect any changed in the underlying data.

  Specified by:
    `updateInspector` in class `Inspector`

### getTitle

    public java.lang.String getTitle()

  Description copied from class: `Inspector`
  Called by the system to come up with an appropriate title for a free-floating inspector window. Often this is toString() on the underlying object. Some inspectors never become free-floating and so don't need to override this method. By default this method returns an empty String.

  Overrides:
    `getTitle` in class `Inspector`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD